#
# spec file for package http-analyze (Version 2.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 gd gd-devel libjpeg libpng xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gd gd-devel gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         http-analyze
Summary:      A log analyzer for web servers
Group:       Networking/Utilities
Copyright:   Commercial
Version:      2.4
Release:      97
Serial:      24
URL:         http://www.netstore.de/Supply/http-analyze/
Source0:     %{name}%{version}-src.tar.bz2
Source1:     README.SuSE
Patch0:      %{name}%{version}-makefile.patch
Patch1:      %{name}%{version}-ia64.patch
Patch2:      %{name}%{version}-locale.patch
BuildRoot:   %{_tmppath}/%{name}-build

%description
http-analyze is a log analyzer for web servers. It analyzes the server's
logfile and creates a detailed summary of the site's access load in tabular,
graphical and three-dimensional form.

SuSE series: n

%prep
%setup -q -n %{name}%{version}
%patch -p0
%patch1
%patch2
#
cp %{S:1} .

%build
make DEFINES="-Dlinux -Dunix" OPTIM="-O" \
        HA_LIBDIR=/usr/lib/%{name}/ \
	HA_BINDIR=/usr/bin/ \
	HA_MANDIR=%{_mandir}/man1/

%install
rm -rf $RPM_BUILD_ROOT
make HA_BINDIR=$RPM_BUILD_ROOT/usr/bin \
     HA_LIBDIR=$RPM_BUILD_ROOT/usr/lib/%{name} \
     HA_MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
     EXTENSION=man \
     install
#
# set LANG to get away from POSIX
#
export LANG=en_US 
make -C msgcat HA_LIBDIR=$RPM_BUILD_ROOT/usr/lib/%{name} \
	LOCALE=$RPM_BUILD_ROOT/usr/lib/locale mycat
#
# remove x-permission from files which go into /usr/doc/.. to
# reduce package-depencies.
#
chmod a-x tools/* contrib/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES FILELIST INSTALL* LICENSE README* contrib tools
/usr/bin/%{name}
/usr/lib/%{name}
%{_mandir}/man1/%{name}.1*

%changelog -n http-analyze
* Mon Jun 18 2001 - pmladek@suse.cz
- fixed localisation
* Thu Jun 07 2001 - ro@suse.de
- removed other libs and build normally, localisation still doesn't
  work
* Wed May 23 2001 - pmladek@suse.cz
- fixed include files on ia64
- fixed to run on ia64:
  * function localtime must have intelligent input on ia64
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue Apr 10 2001 - pmladek@suse.cz
- new package (based on package for suse 6.3 from
  Fritz Elfert <felfert@to.com>)
- prefix changed from /usr/local to /usr
- repaired links in /usr/share/locales
